Billing Role Rates
List billing-role rates
Lists billing-role rates with optional filters. Filter by billingRoleId to scope to a single billing role. Filter by externalId when you need an external-system lookup.
GET
/
v1
/
public
/
billing-role-rates
List billing-role rates
curl --request GET \
--url https://api.agile-tools.io/v1/public/billing-role-rates \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.agile-tools.io/v1/public/billing-role-rates"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.agile-tools.io/v1/public/billing-role-rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/billing-role-rates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/billing-role-rates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agile-tools.io/v1/public/billing-role-rates")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/billing-role-rates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "9c6d7b3e-1a2b-4c5d-9e8f-0a1b2c3d4e5f",
"billingRoleId": "2b1e1a74-8b22-4c9a-b2d0-2c5e0b2d9f9c",
"billingRoleName": "Senior Consultant",
"costRate": 38,
"billingRate": 75,
"currencyUnitId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"effectiveDate": "2026-01-01",
"externalId": "BILLING_ROLE_RATE_2026_Q1"
}
],
"meta": {
"requestId": "f056699e-497d-41d9-a877-d7c862de6587",
"timestamp": "2026-04-03T12:08:00Z",
"cursor": {
"hasMore": false,
"resultCount": 1
}
}
}Authorizations
Owner-typed API key (ORGANIZATION, PERSON, VALUE_UNIT). Manage org-scoped lifecycle with /v1/public-api-keys; cross-org governance is restricted to /v1/sys/public-api-keys.
Query Parameters
Required range:
1 <= x <= 100⌘I
List billing-role rates
curl --request GET \
--url https://api.agile-tools.io/v1/public/billing-role-rates \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.agile-tools.io/v1/public/billing-role-rates"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.agile-tools.io/v1/public/billing-role-rates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/billing-role-rates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/billing-role-rates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agile-tools.io/v1/public/billing-role-rates")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/billing-role-rates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "9c6d7b3e-1a2b-4c5d-9e8f-0a1b2c3d4e5f",
"billingRoleId": "2b1e1a74-8b22-4c9a-b2d0-2c5e0b2d9f9c",
"billingRoleName": "Senior Consultant",
"costRate": 38,
"billingRate": 75,
"currencyUnitId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"effectiveDate": "2026-01-01",
"externalId": "BILLING_ROLE_RATE_2026_Q1"
}
],
"meta": {
"requestId": "f056699e-497d-41d9-a877-d7c862de6587",
"timestamp": "2026-04-03T12:08:00Z",
"cursor": {
"hasMore": false,
"resultCount": 1
}
}
}
